Package hdf.hdf5lib.exceptions

# Class HDF5LibraryException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
hdf.hdf5lib.exceptions.HDF5Exception
hdf.hdf5lib.exceptions.HDF5LibraryException

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `HDF5AtomException`, `HDF5AttributeException`, `HDF5BtreeException`, `HDF5DataFiltersException`, `HDF5DatasetInterfaceException`, `HDF5DataspaceInterfaceException`, `HDF5DataStorageException`, `HDF5DatatypeInterfaceException`, `HDF5ExternalFileListException`, `HDF5FileInterfaceException`, `HDF5FunctionArgumentException`, `HDF5FunctionEntryExitException`, `HDF5HeapException`, `HDF5InternalErrorException`, `HDF5LowLevelIOException`, `HDF5MetaDataCacheException`, `HDF5ObjectHeaderException`, `HDF5PropertyListInterfaceException`, `HDF5ReferenceException`, `HDF5ResourceUnavailableException`, `HDF5SymbolTableException`

    public class HDF5LibraryException
    extends HDF5Exception

The class HDF5LibraryException returns errors raised by the HDF5 library.

Each major error code from the HDF-5 Library is represented by a sub-class of this class, and by default the 'detailedMessage' is set according to the minor error code from the HDF-5 Library.

For major and minor error codes, see H5Epublic.h in the HDF-5 library.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class hdf.hdf5lib.exceptions.HDF5Exception

  `detailMessage`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `HDF5LibraryException()` | Constructs an `HDF5LibraryException` with no specified detail message.
  `HDF5LibraryException​(java.lang.String s)` | Constructs an `HDF5LibraryException` with the specified detail message.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `long` | `getMajorErrorNumber()` | Get the major error number of the first error on the HDF5 library error stack.
  `java.lang.String` | `getMinorError​(long err_code)` | Return a error message for the minor error number.
  `long` | `getMinorErrorNumber()` | Get the minor error number of the first error on the HDF5 library error stack.
  `void` | `printStackTrace()` | Prints this `HDF5LibraryException`, the HDF-5 Library error stack, and and the Java stack trace to the standard error stream.
  `void` | `printStackTrace​(java.io.File f)` | Prints this `HDF5LibraryException` the HDF-5 Library error stack, and and the Java stack trace to the specified print stream.

  ### Methods inherited from class hdf.hdf5lib.exceptions.HDF5Exception

  `getMessage`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HDF5LibraryException

    public HDF5LibraryException()
    Constructs an `HDF5LibraryException` with no specified detail message.

  - ### HDF5LibraryException

    public HDF5LibraryException​(java.lang.String s)
    Constructs an `HDF5LibraryException` with the specified detail message.
    Parameters:
      `s` - the detail message.

- ## Method Details

  - ### getMajorErrorNumber

    public long getMajorErrorNumber()
    Get the major error number of the first error on the HDF5 library error stack.
    Returns:
      the major error number

  - ### getMinorErrorNumber

    public long getMinorErrorNumber()
    Get the minor error number of the first error on the HDF5 library error stack.
    Returns:
      the minor error number

  - ### getMinorError

    public java.lang.String getMinorError​(long err_code)
    Return a error message for the minor error number.

    These messages come from H5Epublic.h.

    Parameters:
      `err_code` - the error code
    Returns:
      the string of the minor error

  - ### printStackTrace

    public void printStackTrace()
    Prints this `HDF5LibraryException`, the HDF-5 Library error stack, and and the Java stack trace to the standard error stream.
    Overrides:
      `printStackTrace` in class `java.lang.Throwable`

  - ### printStackTrace

    public void printStackTrace​(java.io.File f)
    Prints this `HDF5LibraryException` the HDF-5 Library error stack, and and the Java stack trace to the specified print stream.
    Parameters:
      `f` - the file print stream.